<!DOCTYPE html>
<html>
  <head>
    <title>em.def blog</title>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Helvetica:300,400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../main.css">
  </head>

  <body>
    <header class="container-fluid">
      <div class="row">
        <h1 class="col-sm-4"  style="color:#202020">e<a href="../index.html">m.def</a></h1>
        <nav class="col-sm-12 text-right">
          <a href="https://gitlab.com/mitaleeparikh/mitalee.parikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20"></a>
            &ensp;
          <a href="mailto:emaitee@gmail.com"><img class="img-fit" src="../meta/icons/005-diamond.png" height="20" width="20"></a>
        </nav>
      </div>
    </header>

    <section class="row">
      <section class="col-md-3">
           <nav id="leftnav">
            <a href="../fabacademy/pppm.html">Principles, Practices and Project Management</a><br>
            <a href="../fabacademy/cad.html">Computer-aided Design</a><br>
            <a href="../fabacademy/ccc.html">Computer-controlled Cutting</a><br>
            <a href="../fabacademy/ep.html">Electronics Production</a><br>
            <a href="../fabacademy/3dps.html">3D printing and scanning</a><br>
            <a href="../fabacademy/ed.html">Electronics Design</a><br>
            <a href="../fabacademy/ccm.html">Computer-controlled Machining</a><br>
            <a href="../fabacademy/mc.html">Molding and Casting</a><br>
            <a href="../fabacademy/wc.html">Wild Card Week</a><br>
            <a href="../fabacademy/iipi.html">Invention, Intellectual Property and Income</a><br>
            <a href="../fabacademy/input.html">Inputs</a><br>
            <a href="../fabacademy/output.html">Outputs</a><br>
            <a href="../fabacademy/mdef.fp.html">MDEF Final Project</a><br>
          </nav>
      </section>

      <section class="col-md-6">

        <h1>Electronics production</h1>
        <p>This week I made an in-circuit programmer- the FabISP.</p>
        <h2>FabISP</h2>
        <h3>Making  toolpaths</h3>
        <p>I downloaded the png files for the traces and the interior. I used <a href="http://fabmodules.org/">FabModules</a> to create toolpaths.</p>
        <p><img class="img-fit" src="http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.traces.png" alt="traces" class="col-md-12"></p>
        <h4>Traces</h4>
        <p>The major settings for cutting traces:
        Input image as <strong>.png</strong><br>Output file as <strong>.rml</strong><br>Output file as <strong>.rml</strong><br>Machine: <strong>Roland SRM-20</strong><br>Speed: <strong>3.5mm/s</strong> as I was using a new endmill<br>Origin X,Y,Z as <strong>0,0,0</strong> to match the origin set in the machine locally
        Tool diameter <strong>1/64&quot;</strong>
        Offset paths <strong>4</strong>, to clean area around the traces but not very time consuming
        Overlap <strong>50%</strong>, overlaping the tool paths by 50% of the tool diameter
        Cut depth <strong>0.1mm</strong> to clean the top copper layer thorugh it&#39;s thickness<br><img class="img-fit" src="../fabacademy/images/week4/toolpath.jpg" alt="trace toolpath"></p>
        <p><img class="img-fit" src="http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.interior.png" alt="interior" class="col-md-12"></p>
        <h4>Interior</h4>
        <p>Settings for cutting the outline:
        Input image as <strong>.png</strong><br>Output file as <strong>.rml</strong><br>Machine: Roland <strong>SRM-20</strong><br>Speed: <strong>0.5mm/s</strong>
        Material depth <strong>1.7mm</strong>, equal to the one-sided FR1 board used
        Cut depth <strong>0.5mm</strong>, cuts the outline 4 times going 0.5mm deeper with every loop
        Origin X,Y,Z as <strong>0,0,0</strong> to match the origin set in the machine locally and match the traces file
        Tool diameter <strong>1/32&quot;</strong>
        Offset paths <strong>1</strong>, to cut the board from the material</p>
        <h3>Milling the board</h3>
        <p>Cleaned a small piece of one-sided FR1 board with rubbing alcohol
        Stuck it using a double-sided tape on an MDF base we have pre-installed at the lab, that is levelled periodically.
        Installed a 1/64&quot; tool
        Set the X and Y origin on the bottom left corner of the board.
        Brought the Z really close to the top of the surfect. Loosened the collet and let the bit touch the surface completely. Set the Z origin here.
        Lifted the Z, loaded the rml traces file and start cutting. Evrything seemed fine. I could see the tool cut though the copper. It took about 15 minutes to cut the whole file.
        Later, I lifted the Z, changed the tool to the 1/32&quot; endmill to cut the interior file. I set the Z origin again exactly as before. Keeping in mind not to change the X and Y origin. Started cutting the file. Got it done on the first try.
        I unattached the board using a scraper.
        <img class="img-fit" src="../fabacademy/images/week4/traces.jpg" alt="trace toolpath">
        <img class="img-fit" src="../fabacademy/images/week4/interior.jpg" alt="trace toolpath"></p>
        <h3>Soldering Components</h3>
        <h4>Gathering Components</h4>
        <p>Edu showed us the best way to do this was to make a shopping list, collect components and stick them on using tape. Later, we update the inventory sheet to keep count in the lab.  </p>
        <p>A list of all the needed components:<br>1 x ATtiny44 (Ict44)<br>1 x 6-pin(2x3) header (J1 ISP)<br>1 x MiniUSB header (J2 USB)<br>1 x 20MHz Crystal (20MHz)<br>1 x 1uF Capacitor (C1)<br>2 x 10pF Capacitor (C2,C3)<br>2 x 3.3v Zener Diodes (D1,D2)<br>1 x 1kΩ Resistor (R1)<br>1 x 499Ω resistor (R2)<br>1 x 100Ω resistor (R3,R4)<br>1 x 10kΩ resistor (R5)<br>2 x 0Ω Resistor (SJ1, SJ2)<br><img class="img-fit" src="../fabacademy/images/week4/shoppinglist.jpg" alt="Gathering components"></p>
        <h4>The solding set-up</h4>
        <p>Tools that I need to solder the components on the board:
        A schematic diagram that shows what components goes where.<br><img class="img-fit" src="http://academy.cba.mit.edu/classes/embedded_programming/hello.ISP.44.png" alt="schematic" class="col-md-12"><br>The components, gathered on the list.
        A soldering iron - I used a Weller WES51 with temperature control. Set it to 750F, not too hot, not too slow.
        A wet sponge, to clean the tip of the iron.
        Solder wire, Kester without a flux co.
        A anti-static curved tweezer to place down components accurately.
        A copper braid for desoldering excess solder.
        A table-top light, a silicon base to hold the board stationary, and a fan to remove fumes.</p>
        <h4>Soldering order</h4>
        <p>I started from the complex to the simple, then top to bottom.
        I soldered the microcontroller first, matched the orientation from from the data sheet.
        Second, I soldered the MiniUSB, since, it had very tiny trace connections.
        The zener diodes, have polarities. i soldered them next. Oscar taught me how the way to remember their direction, the electric symbol has a line that corresponds to the Cathode. Similarly, the component is marked with a line in its cathode side. <a href="">Polarity symbol</a>
        The rest of the components don&#39;t have any polarities, so I soldered them from top to bottom inside-out in this order: R1&gt;R2&gt;R3&gt;R4&gt;SJ2&gt;20MHz&gt;C2&gt;C3&gt;SJ1&gt;R5&gt;C1 and the J1 header in the end, because it had comparatively larger feet</p>
        <h4>Checking connections</h4>
        <p>I visually checked the board under a lens to check no traces or solders touched each other. Then using a multimeter setting with no resistance, I connected all pin legs to where the traces connected using the schematic diagram. And checked that all beeped, suggesting there was no short.
        I cleaned the board again, using some rubbing alcohol. This is how my finished board looks:
        <img class="img-fit" src="../fabacademy/images/week4/finished.jpg" alt="Soldering components"></p>
        <h4>Testing the board</h4>
        <p><a href="http://archive.fabacademy.org/archives/2017/fablabverket/students/100/web/assignments/week4/index.html#programming">steps</a>
        <a href="http://archive.fabacademy.org/archives/2017/fablabverket/students/100/web/assignments/week4/index.html#programming">or these</a></p>








      </section>

    </section>

    <div class="footer">
        <div class="row">
        <div class="col-md-2">
          <p>&copy; 2019-20 <a href="https://www.linkedin.com/in/mitaleeparikh">Mitalee Parikh</a></p>
        </div>
        <div class="col-md-7">
          <p>This site is a documentation of my work done in 2019-2020 as a part of the <a href="https://mdef.iaac.net">Master in Design for Emergent Futures</a> programme at the <a href="https://iaac.net/educational-programmes/masters-programmes/master-in-design-for-emergent-futures-mdef/">Institute of Advanced Architecture of Catalonia</a> and <a href="https://elisava.net/en">Elisava Barcelona School of Design and Engineering</a> in collaboration with <a href="https://fabacademy.org/">FabAcademy.</p>
        </div>
        <div class="col-md-2">
        </div>
        <div class="col-md-1">
          <a href="https://www.instagram.com/emaitee/"><img class="img-fit" src="../meta/icons/011-cd.png" height="20" width="20">&ensp;
          <a href="https://www.goodreads.com/review/list/5828563-mitalee-parikh?shelf=mdef"><img class="img-fit" src="../meta/icons/013-radar.png" height="20" width="20">&ensp;
          <a href="https://twitter.com/MitaleeParikh"><img class="img-fit" src="../meta/icons/009-photos.png" height="20" width="20">
        </div>
        </div>
    </div>

  </body>

</html>
